public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Maciej Barć" <xgqt@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emacs/eldev/
Date: Fri, 20 Dec 2024 11:31:22 +0000 (UTC)	[thread overview]
Message-ID: <1734694278.1db84bb1647c296200d26c5d7f107f040a82a259.xgqt@gentoo> (raw)

commit:     1db84bb1647c296200d26c5d7f107f040a82a259
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 20 09:59:51 2024 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Fri Dec 20 11:31:18 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1db84bb1

app-emacs/eldev: sync live 9999 version

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-emacs/eldev/eldev-9999.ebuild | 31 +++++++++++++++++++++----------
 1 file changed, 21 insertions(+), 10 deletions(-)

diff --git a/app-emacs/eldev/eldev-9999.ebuild b/app-emacs/eldev/eldev-9999.ebuild
index 413e8c727a11..7251e88d76f6 100644
--- a/app-emacs/eldev/eldev-9999.ebuild
+++ b/app-emacs/eldev/eldev-9999.ebuild
@@ -1,35 +1,46 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
 
-inherit elisp
+inherit edo elisp
 
 DESCRIPTION="Emacs Lisp Development Tool"
-HOMEPAGE="https://github.com/doublep/eldev/"
+HOMEPAGE="https://emacs-eldev.github.io/eldev/
+	https://github.com/emacs-eldev/eldev/"
 
-if [[ ${PV} == *9999* ]] ; then
+if [[ "${PV}" == *9999* ]] ; then
 	inherit git-r3
+
 	EGIT_REPO_URI="https://github.com/doublep/${PN}.git"
 else
-	SRC_URI="https://github.com/doublep/${PN}/archive/${PV}.tar.gz
-		-> ${P}.tar.gz"
+	SRC_URI="https://github.com/emacs-eldev/${PN}/archive/refs/tags/${PV}.tar.gz
+		-> ${P}.gh.tar.gz"
+
 	KEYWORDS="~amd64 ~arm ~ppc64 ~riscv ~x86"
 fi
 
 LICENSE="GPL-3+"
 SLOT="0"
 
+ELISP_REMOVE="
+	test/doctor.el
+"
+
 DOCS=( README.adoc )
 SITEFILE="50${PN}-gentoo.el"
 
 src_test() {
-	ELDEV_LOCAL="${S}" ./bin/${PN} test
+	local -x ELDEV_LOCAL="${S}"
+
+	edo "./bin/${PN}" test
 }
 
 src_install() {
 	elisp_src_install
-	dobin bin/${PN}
+
+	exeinto /usr/bin
+	doexe "./bin/${PN}"
 
 	# NOTICE: If ELDEV_LOCAL is defined Eldev will use it
 	# to load up it's components,
@@ -37,8 +48,8 @@ src_install() {
 	# always check if it uses installed Emacs Lisp files.
 	# Also, do not forget to run `env-update` & reopen your shell.
 	# https://github.com/doublep/eldev#influential-environment-variables
-	echo "ELDEV_LOCAL=${SITELISP}/${PN}" >> "${T}"/99${PN} || die
-	doenvd "${T}"/99${PN}
+	echo "ELDEV_LOCAL=${SITELISP}/${PN}" >> "${T}/99${PN}" || die
+	doenvd "${T}/99${PN}"
 }
 
 pkg_postinst() {


             reply	other threads:[~2024-12-20 11:31 UTC|newest]

Thread overview: 68+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-12-20 11:31 Maciej Barć [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-15 19:55 [gentoo-commits] repo/gentoo:master commit in: app-emacs/eldev/ Maciej Barć
2025-01-23 10:17 Maciej Barć
2025-01-22 17:34 Arthur Zamarin
2024-12-20 11:31 Maciej Barć
2024-12-20 11:31 Maciej Barć
2024-12-14 19:06 Arthur Zamarin
2024-10-29 23:22 Maciej Barć
2024-10-13 19:23 Maciej Barć
2024-06-25 22:03 Sam James
2024-06-25 15:26 Maciej Barć
2024-06-07 17:46 Arthur Zamarin
2024-05-13 17:59 Maciej Barć
2024-05-06 18:00 Maciej Barć
2024-05-06 18:00 Maciej Barć
2024-05-06 18:00 Maciej Barć
2024-04-17 23:59 Sam James
2024-03-17 21:53 Maciej Barć
2024-03-13 16:40 Maciej Barć
2024-03-13 16:40 Maciej Barć
2024-02-27 23:21 Sam James
2024-01-27 21:26 Maciej Barć
2024-01-15 21:20 Maciej Barć
2024-01-15 21:20 Maciej Barć
2023-12-22  5:07 Sam James
2023-12-15  2:33 Sam James
2023-11-18  1:31 Maciej Barć
2023-11-01 19:17 Maciej Barć
2023-10-06 15:21 Maciej Barć
2023-10-06 15:21 Maciej Barć
2023-10-06 12:02 Arthur Zamarin
2023-09-10 14:41 Sam James
2023-09-05 14:11 Maciej Barć
2023-09-05 14:11 Maciej Barć
2023-09-05 14:11 Maciej Barć
2023-09-02 16:22 Sam James
2023-08-22 11:33 Arthur Zamarin
2023-08-07 11:31 Maciej Barć
2023-08-02 14:11 Maciej Barć
2023-07-23 14:02 Maciej Barć
2023-07-23 14:02 Maciej Barć
2023-07-22 13:09 Maciej Barć
2023-07-22 13:09 Maciej Barć
2023-07-22 13:09 Maciej Barć
2023-07-10  7:41 Jakov Smolić
2023-07-08  0:10 Sam James
2023-07-08  0:10 Sam James
2023-07-07 22:54 Sam James
2023-06-20 16:23 Sam James
2023-06-07 13:40 Maciej Barć
2023-05-19 17:45 Sam James
2023-05-19 14:18 Maciej Barć
2023-05-19 14:18 Maciej Barć
2023-05-19 14:18 Maciej Barć
2022-12-21 14:39 Maciej Barć
2022-12-21 14:39 Maciej Barć
2022-11-26 12:47 Maciej Barć
2022-11-26 12:47 Maciej Barć
2022-09-14 16:03 Maciej Barć
2022-09-14 16:03 Maciej Barć
2022-08-27  1:27 Maciej Barć
2022-08-27  1:27 Maciej Barć
2022-08-27  1:27 Maciej Barć
2022-08-19 15:42 Maciej Barć
2022-06-30 15:33 Maciej Barć
2022-06-30 15:33 Maciej Barć
2022-06-11  1:50 Maciej Barć
2022-05-19 23:58 Maciej Barć

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1734694278.1db84bb1647c296200d26c5d7f107f040a82a259.xgqt@gentoo \
    --to=xgqt@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox